"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isImportExport = void 0;
const typescript_1 = require("typescript");
function isImportExport(node) {
    if (!typescript_1.isImportDeclaration(node) && !typescript_1.isExportDeclaration(node))
        return false;
    if (node.moduleSpecifier === undefined)
        return false;
    // only when module specifier is valid
    if (!typescript_1.isStringLiteral(node.moduleSpecifier))
        return false;
    return true;
}
exports.isImportExport = isImportExport;
//# sourceMappingURL=isImportExport.js.map