"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.replaceImportExportSpecifier = void 0;
const typescript_1 = require("typescript");
/**
 * Replace specifier part of a import/export statement
 *
 * import x from "--> SPECIFIER <--"
 */
function replaceImportExportSpecifier(node, newSpecifier) {
    const modified = Object.create(node);
    Object.assign(modified, {
        moduleSpecifier: typescript_1.factory.createStringLiteral(newSpecifier),
    });
    Object.assign(modified.moduleSpecifier, {
        parent: node,
    });
    return modified;
}
exports.replaceImportExportSpecifier = replaceImportExportSpecifier;
//# sourceMappingURL=replace.js.map